Redmine - Feature #4611

HTTP access to issue subject field
2010-01-19 16:46 - Paul Read

Status: Closed Start date: 2010-01-19
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution:

Description

| would like to be able to retrieve the subject for a given bug ID via a HTTP request.

e.g. if | entered into my browser:
http://redmineserver:8181/redmine/issues/*description*/130

| would receive just the subject text (with no html formatting) for issue 130.

An alternative might be
http://redmineserver:8181/redmine/issues/130?description

Which would then allow the following as well:
http://redmineserver:8181/redmine/issues/130?status
http://redmineserver:8181/redmine/issues/130?priority
http://redmineserver:8181/redmine/issues/130?assigned_to

Having this feature will allow me to show the issues description within other systems, leading to a more joined up system and
increasing my groups productivity.

Many thanks for your consideration

History

#1 - 2010-01-19 17:46 - Felix Schéfer
- Category set to REST API

- Status changed from New to Closed

Hello Paul,

Please have a look at the REST API and especially at the API for issues, you will find that while you don't get only the parts you mentioned, you will
be able to parse it with an XML parser.

#2 - 2010-01-19 17:49 - Felix Schéfer

Oh, | forgot to mention that this will be available in 0.9.0, or if you want to test it now, grab trunk or 0.9-stable from the repositories.

2025-06-14 1/1



http://redmineserver:8181/redmine/issues/*description*/130
http://redmineserver:8181/redmine/issues/130?description
http://redmineserver:8181/redmine/issues/130?status
http://redmineserver:8181/redmine/issues/130?priority
http://redmineserver:8181/redmine/issues/130?assigned_to
https://www.redmine.org/projects/redmine/wiki/Rest_api
https://www.redmine.org/projects/redmine/wiki/Rest_Issues
https://www.redmine.org/versions/6
http://www.tcpdf.org

